<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsImprimirBoletas($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'ComboListaAgenciaImp');
$xajax->register(XAJAX_FUNCTION, 'ComboListaPuntoVentaImp');
$xajax->register(XAJAX_FUNCTION, 'ComboNroSerieFacturar');

$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
	

?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		var varTitu = "ERROR AL PROCESAR DATOS...!!!!!\n";
		var varErro = "";
		
		if (xajax.$("emp").value=="Ninguno") {
			varErro = varErro + "- DEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE\n";
			}
		if (xajax.$("age").value=="age") {
			varErro = varErro + "- DEBE SELECCIONAR UNA AGENCIA OBLIGATORIAMENTE\n";
			}
		if (xajax.$("pun").value=="pun") {
			varErro = varErro + "- DEBE SELECCIONAR UN PUNTO DE VENTA OBLIGATORIAMENTE\n";
			}
		if (xajax.$("bol").value=="") {
			varErro = varErro + "- DEBE ESPECIFICAR UN NUMERO DE SERIE\n";
			}
		if (xajax.$("nini").value=="") {
			varErro = varErro + "- DEBE ESPECIFICAR UN NUMERO DE PREIMPRESO INICIAL\n";
			}
		if (xajax.$("nfin").value=="") {
			varErro = varErro + "- DEBE ESPECIFICAR UN NUMERO DE PREIMPRESO FINAL\n";
			}
		if (xajax.$("fini").value=="") {
			varErro = varErro + "- DEBE SELECCIONAR UNA FECHA INICIAL\n";
			}
		if (xajax.$("ffin").value=="") {
			varErro = varErro + "- DEBE SELECCIONAR UNA FECHA FINAL\n";
			}
		if (varErro=="") {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);	
			}
		else {
			alert(varTitu+varErro);
			return (false);
			}
		}
	function xImprimirJS() {
		var varTitu = "ERROR AL PROCESAR DATOS...!!!!!\n";
		var varErro = "";
		
		if (xajax.$("emp").value=="Ninguno") {
			varErro = varErro + "- DEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE\n";
			}
		if (xajax.$("age").value=="Ninguno") {
			varErro = varErro + "- DEBE SELECCIONAR UNA AGENCIA OBLIGATORIAMENTE\n";
			}
		if (xajax.$("pun").value=="Ninguno") {
			varErro = varErro + "- DEBE SELECCIONAR UN PUNTO DE VENTA OBLIGATORIAMENTE\n";
			}
		if (xajax.$("bol").value=="") {
			varErro = varErro + "- DEBE ESPECIFICAR UN NUMERO DE SERIE\n";
			}
		if (xajax.$("nini").value=="") {
			varErro = varErro + "- DEBE ESPECIFICAR UN NUMERO DE PREIMPRESO INICIAL\n";
			}
		if (xajax.$("nfin").value=="") {
			varErro = varErro + "- DEBE ESPECIFICAR UN NUMERO DE PREIMPRESO FINAL\n";
			}
		if (xajax.$("fini").value=="") {
			varErro = varErro + "- DEBE SELECCIONAR UNA FECHA INICIAL\n";
			}
		if (xajax.$("ffin").value=="") {
			varErro = varErro + "- DEBE SELECCIONAR UNA FECHA FINAL\n";
			}
		if (varErro=="") {
			var varEmp = xajax.$("emp").value;
			var varAge = xajax.$("age").value;
			var varPun = xajax.$("pun").value;
			var varSer = xajax.$("bol").value;
			var varNin = xajax.$("nini").value;
			var varNfi = xajax.$("nfin").value;
			var varFin = xajax.$("fini").value;
			var varFfi = xajax.$("ffin").value;
			
			var Ruta = 'print/print_boleta_cont.php?emp='+varEmp+'&age='+varAge+'&pun='+varPun+'&ser='+varSer+'&nini='+varNin+'&nfin='+varNfi+'&fini='+varFin+'&ffin='+varFfi;
			testwindow = window.open (Ruta, "print_boleta_cont", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
			}
		else {
			alert(varTitu+varErro);
			return (false);
			}
		}

		
</script>
<?php
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	
	$Link = $_SERVER['PHP_SELF'];
	?>
<script language="javascript">
function ImprimirBoleta(varSIni, varNIni, varSFin, varNFin, varFecha) {	
		var Ruta = 'print/print_boleta_cont.php?sini='+varSIni+'&nini='+varNIni+'&sfin='+varSFin+'&nfin='+varNFin+'&femi='+varFecha;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
	}
	

</script>
	<?php
	if(!isset($Opcion)) {
		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"420", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Boleta Inicial :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"sini", "name"=>"sini", "valor"=>$_POST["sini"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)"),
																			   array("tipo"=>"text", "id"=>"nini", "name"=>"nini", "valor"=>$_POST["nini"], 
																					 "ancho"=>"150")
																			   )
														 	)
											 ),
									   array("titulo"=>"Boleta Final :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"sfin", "name"=>"sfin", "valor"=>$_POST["sfin"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)"),
																			   array("tipo"=>"text", "id"=>"nfin", "name"=>"nfin", "valor"=>$_POST["nfin"], 
																					 "ancho"=>"150")
																			   )
														 	)
											 ),	
									   array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"femi", "name"=>"femi", "alinear"=>"center", "valor"=>$_POST["femi"]) )									   
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar"),			  
									   array("tipo"=>"button", "id"=>"bexp", "name"=>"bexp", "ancho"=>"110", "alto"=>"22", 
									   		 "texto"=>"Imprimir Boletas", 
											 "click"=>"javascript:ImprimirBoleta(form.sini.value, form.nini.value, form.sfin.value, form.nfin.value, form.femi.value)")
									   )
						);
		//echo $obj->setTablaForm($varTabla);
		if(isset($_POST["bcon"])) {		
			$varFEMI   = ($_POST["femi"]=="") ? "NULL" : "'".FechaMySql($_POST["femi"])."'";
			$varDocIni = str_pad($_POST["sini"],3,"0",STR_PAD_LEFT)."-".str_pad($_POST["nini"],7,"0",STR_PAD_LEFT);
			$varDocFin = str_pad($_POST["sfin"],3,"0",STR_PAD_LEFT)."-".str_pad($_POST["nfin"],7,"0",STR_PAD_LEFT);
			
			$sql = "call spQuery_Impresion_Boleta('$varDocIni', '$varDocFin', $varFEMI);";
			$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"1100", "sql_cab"=>$sql,	"pages"=>50,
							"conte"=>array(array("tamano"=>20, "titulo"=>"IDE", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"EMISION", "alinear"=>"center"),
										   array("tamano"=>80, "titulo"=>"DOCUMENTO", "alinear"=>"center", "funcion"=>array("contar")),
										   array("tamano"=>10, "titulo"=>"CCON", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>150,"titulo"=>"CONDICION", "alinear"=>"center"),
										   array("tamano"=>40, "titulo"=>"EST.", "alinear"=>"center"),
										   array("tamano"=>10, "titulo"=>"CTIP", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>10, "titulo"=>"CCLI", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"CLIENTE"),
										   array("tamano"=>10, "titulo"=>"CVEN", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"VENDEDOR"),
										   array("tamano"=>10, "titulo"=>"CRUT", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"RUTA"),
										   array("tamano"=>40, "titulo"=>"PEDIDO", "alinear"=>"center"),
										   array("tamano"=>40, "titulo"=>"GUIA", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>50, "titulo"=>"TOTAL", "alinear"=>"right", "autosuma"=>"SI"),
										   array("titulo"=>"FCREADO",  "ancho"=>"100", "oculto"=>"SI"),
										   array("titulo"=>"FUPDATE",  "ancho"=>"100", "oculto"=>"SI"),
										   array("titulo"=>"UCREADO",  "ancho"=>"50",  "alinear"=>"center"),
										   array("titulo"=>"UUPDATE",  "ancho"=>"50",  "oculto"=>"SI")
										   )
							);
			echo $obj->SetGridTabla($varTabla);
			}
		}
	} 
?>